{% extends 'crud/list.html' %}
{% load crispy_forms_tags %}
{% load crm_utils %}
{% load crm_pagination %}
{% block content %}

    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                    <div id="success-alert" class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                    <script type="application/javascript">
                        setTimeout(function(){
                            document.getElementById("success-alert").style.display = "none";}, 3000);
                    </script>
                {% endfor %}
    {% endif %}
    {% endblock %}

    {% block page_heading %}
        {{ block.super }}
    {% endblock %}
<div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">
                  <form id="searchForm" method="post" action="{% url 'search_clients' %}" class="form-inline">{% csrf_token %}
                    {{ search_form|crispy }}
                      <button form="searchForm" class="btn btn-outline-info">Поиск</button>



                      {% if search_done %}
                        <a href="{% url 'client_list' %}" class="btn btn-info" role="button">Сбросить результаты поиска</a>

                      {% endif %}
                  </form>

              </h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th><input id="mass-choice" type="checkbox"></th>
                      <th>Фамилия</th>
                      <th>Имя</th>
                      <th>Дата рождения</th>
                      <th>Телефон</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  {% comment %} <tfoot>
                    <tr>
                      <th>#</th>
                      <th>Фамилия</th>
                      <th>Имя</th>
                      <th>Дата рождения</th>
                      <th>Телефон</th>
                      <th>Действия</th>
                    </tr>
                  </tfoot> {% endcomment %}
                  <tbody>

                  {% for client in object_list %}
                    <tr>
                      <td><input id="{{ client.id }}" type="checkbox"></td>
                      <td>{{ client.surname }}</td>
                      <td>{{ client.name }}</td>
                      <td>{{ client.birthday }}</td>
                      <td>{{ client.phone_number }}</td>
                      <td>
                          <a href="{% url 'client_edit' client.id %}" style="text-decoration: none">
                            <i class="fa fa-edit"></i>

                          </a>
                          <a href="{% url 'client_delete' client.id %}" style="text-decoration: none" data-toggle="modal" data-target="#deleteModal-{{ client.id }}">
                            <i class="fa fa-trash"></i>
                          </a>
                              <!-- DELETE MODAL -->
                              <div class="modal fade" id="deleteModal-{{ client.id }}" tabindex="-1" role="dialog"
                                   aria-labelledby="exampleModalLabel" aria-hidden="true">
                                  <div class="modal-dialog" role="document">
                                      <div class="modal-content">
                                          <div class="modal-header">
                                              <h5 class="modal-title" id="exampleModalLabel">Удалить {{ create_name }}</h5>
                                              <button type="button" class="close" data-dismiss="modal"
                                                      aria-label="Close">
                                                  <span aria-hidden="true">&times;</span>
                                              </button>
                                          </div>
                                          <div class="modal-body">
                                           <p> Вы уверены удалить Группу {{ client.name }}???</p>
                                                <form method="post" action="{% url 'client_delete' client.id %}" id="delete_form-{{ client.id }}">
                                                {% csrf_token %}
                                                </form>
                                          </div>
                                          <div class="modal-footer">
                                              <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                                  Закрыть
                                              </button>
                                              <button type="submit"  form="delete_form-{{ client.id }}" class="btn btn-danger">Удалить</button>
                                          </div>

                                          </div>
                                      </div>
                                  </div>
                              </div>
                          <!-- DELETE MODAL -->
                      <a href="{% url 'client_info_information' client.id %}" style="text-decoration: none">
                            <i class="fa fa-eye"></i>
                      </a>

                      </td>

                    </tr>

                      {% block create_modal %}
                            <!-- Modal -->
                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"> Создать {{ create_name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                    </button>
                                  </div>
                                  <div class="modal-body">
                                      <div id="error-alert" class="alert alert-danger" role="alert" style="display: none">
                                      </div>
                                      <form id="create-form" action="{% url create_url %}" method="post" enctype="multipart/form-data">{% csrf_token %}
                                          {{ create_form|crispy }}
                                      </form>

                                  </div>
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                                    <button type="submit" form="create-form" class="btn btn-primary">Сохранить</button>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <!-- Modal -->
                            {% endblock %}
                  {% endfor %}
                  </tbody>
                </table>
{% paginator %}



</div>

{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
            integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>

    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
    <script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
    <script src="{% static 'custom/clockpicker/src/clockpicker.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/clockpicker/src/clockpicker.css' %}">
    <script src="{% static 'custom/js/timepicker.js' %}"></script>
    <script src="{% static 'custom/js/phone_mask.js' %}"></script>
{% endblock %}
